Sync-School-Server API仕様
  1. 企画
Sync-School-Server API仕様
  • API ドキュメント
  • 学校祭
    • 学校祭情報一覧を取得する
      GET
    • 任意の学校祭情報を取得する
      GET
    • 任意の学校祭情報を更新する
      PUT
    • 任意の学校祭の開催日を取得する
      GET
  • 企画
    • リアルタイム情報
      • 任意の学校祭の任意の企画のリアルタイム情報を取得する
      • 任意の学校祭の任意の企画のステータスを更新する
    • エリア
      • 任意の学校祭のエリア一覧を取得する
    • カテゴリ
      • 任意の学校祭のカテゴリ一覧を取得する
    • 任意の学校祭の企画情報一覧を取得する
      GET
    • 任意の学校祭の企画を作成する
      POST
    • 任意の学校祭の任意の企画情報を取得する
      GET
    • 任意の学校祭の任意の企画情報を更新する
      PUT
    • 任意の学校祭の任意の企画を削除する
      DELETE
  • お知らせ
    • 企画
      • 企画のお知らせを取得する
      • 企画のお知らせを登録する
      • 企画のお知らせを編集する
      • 企画のお知らせを削除する
  • スキーマ
    • Tenant
    • Event
    • EventTimes
    • EventStatus
    • User
    • Category
    • Area
    • EvnetUsers
    • お知らせ
  1. 企画

任意の学校祭の企画情報一覧を取得する

GET
/v1/tenants/{tenantId}/events
任意の学校祭の企画情報一覧を取得するためのAPIです。

リクエストパラメータ

Authorization
Headerにパラメータ
Authorization
を追加し、その値にはBearerの後にTokenを連結します
例:
Authorization: Bearer ********************
パスパラメータ

レスポンス

🟢200成功
application/json
企画がない場合も404は返さず,空の配列を返却する
ボディ

🟠404学校祭が見つからない
レスポンスレスポンスExample
200 - 成功例
{
    "events": [
        {
            "id": "01KCKHSZ2DEJXW2R1JJCF37NCB",
            "groupName": "SQL団体名1",
            "imageSource": "",
            "name": "SQL企画名1",
            "description": "",
            "duration": "",
            "categories": [],
            "area": {
                "id": 9,
                "name": "体育館"
            },
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "01KD363CQ83R8RKQXCTXZG1E15",
            "groupName": "test",
            "imageSource": "https://img.syncschool.jp/1/1766990914104-thumbnail-1-01KD363CQ83R8RKQXCTXZG1E15.jpeg",
            "name": "tesr",
            "description": "",
            "duration": "",
            "categories": [],
            "area": {
                "id": 4,
                "name": "B4棟"
            },
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "01KD5TC5VSS1QYC5EHCK8A0B26",
            "groupName": "女子バレー部",
            "imageSource": "",
            "name": "バレーボールアイス",
            "description": "",
            "duration": "",
            "categories": [],
            "area": {
                "id": 7,
                "name": "B3棟"
            },
            "location": "3階",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "01KDFB19GHWD2DV08DMQCDF8EY",
            "groupName": "理科大詩歌会",
            "imageSource": "",
            "name": "短歌を読む",
            "description": "",
            "duration": "",
            "categories": [],
            "area": {
                "id": 8,
                "name": "イチョウの木前"
            },
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "01KDFQVB4RER7YFQW0S4T46CKQ",
            "groupName": "イベントグループ1",
            "imageSource": "",
            "name": "イベントテスト3",
            "description": "",
            "duration": "",
            "categories": [],
            "area": {
                "id": 1,
                "name": "講義棟"
            },
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "01KDFQWSVHQBFAWYK28EQEHMFH",
            "groupName": "イベントグループ1",
            "imageSource": "",
            "name": "イベントテスト2z",
            "description": "",
            "duration": "",
            "categories": [],
            "area": {
                "id": 1,
                "name": "講義棟"
            },
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "01KDFRHC1S62SN8JVBNE98CD0G",
            "groupName": "tess",
            "imageSource": "",
            "name": "test",
            "description": "",
            "duration": "",
            "categories": [],
            "area": {
                "id": 6,
                "name": "グラウンド"
            },
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "01KDKPRNK4RJGPN72DZJ5VXY0A",
            "groupName": "test",
            "imageSource": "",
            "name": "test",
            "description": "",
            "duration": "",
            "categories": [],
            "area": {
                "id": 4,
                "name": "B4棟"
            },
            "location": "test",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "01KDKY9EPZV8W0TRTEEC9CMXEH",
            "groupName": "理科大詩歌",
            "imageSource": "",
            "name": "いちご摘み",
            "description": "",
            "duration": "",
            "categories": [],
            "area": {
                "id": 1,
                "name": "講義棟"
            },
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "04149f6b-e3b2-4562-b23f-a836a34ebf41",
            "groupName": "カレー部",
            "imageSource": "https://img.syncschool.jp/1/1765899367301-thumbnail-1-04149f6b-e3b2-4562-b23f-a836a34ebf41.jpeg",
            "name": "世界一美味いカレー",
            "description": "カレーをとことん突き詰めたカレー部が作る渾身の一皿をご賞味あれ",
            "duration": "40分",
            "categories": [
                {
                    "id": 1,
                    "name": "🏫 この学校ならでは"
                },
                {
                    "id": 4,
                    "name": "🍟 模擬店"
                }
            ],
            "area": {
                "id": 6,
                "name": "グラウンド"
            },
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "099beaeb-bbc2-4583-bb94-ad5ee5deb1b0",
            "groupName": "テストテスト",
            "imageSource": "",
            "name": "テストテスト",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "141ac0e0-8ad6-42bb-a2ee-14c87022328d",
            "groupName": "テスト団体",
            "imageSource": "",
            "name": "テスト企画",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "14ef8a13-c59e-4199-ac23-83dfb87268d6",
            "groupName": "テスト2",
            "imageSource": "",
            "name": "テスト2−1",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "17877fd0-6c1f-4fb6-b2d5-19cea3d9877c",
            "groupName": "軽音部",
            "imageSource": "https://img.syncschool.jp/1/1765817078589-thumbnail-1-17877fd0-6c1f-4fb6-b2d5-19cea3d9877c.jpeg",
            "name": "コピーバンド演奏",
            "description": "Pentohouseのコピーバンド演奏をします🎶",
            "duration": "30分",
            "categories": [
                {
                    "id": 2,
                    "name": "👦 子供向け"
                },
                {
                    "id": 7,
                    "name": "✨新企画"
                }
            ],
            "area": {
                "id": 5,
                "name": "大講堂"
            },
            "location": "",
            "eventTimes": {
                "type": "custom",
                "times": [
                    {
                        "startTime": "2025-11-22T00:20:00.000Z",
                        "endTime": "2025-11-22T07:00:00.000Z"
                    },
                    {
                        "startTime": "2025-11-23T07:00:00.000Z",
                        "endTime": "2025-11-23T09:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "1fcf0d83-d751-46a0-b0b2-d83850293c4e",
            "groupName": "テスト7",
            "imageSource": "",
            "name": "テスト7",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "2e16784e-5912-4b31-b710-df02be6edaea",
            "groupName": "デスク研究会",
            "imageSource": "https://img.syncschool.jp/1/1759562720072-thumbnail-1-3.jpeg",
            "name": "快適なデスクってどんなかんじ?",
            "description": "みんなのデスク環境どうですか?",
            "duration": "10分",
            "categories": [],
            "area": {
                "id": 1,
                "name": "講義棟"
            },
            "location": "308教室",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": [
                "https://www.instagram.com/kaiu_kpb"
            ]
        },
        {
            "id": "2fb906d5-0e64-436e-bbe2-d0d0243b672f",
            "groupName": "イベントグループ4改",
            "imageSource": "https://sync-school-image-host.pages.dev/images/icon.png",
            "name": "イベントテスト4改",
            "description": "説明テスト",
            "duration": "10分",
            "categories": [],
            "area": null,
            "location": "場所テスト4改",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": [
                "https://twitter.com/",
                "https://www.facebook.com/",
                "https://www.instagram.com/"
            ]
        },
        {
            "id": "3dc8d184-f652-4fea-9f6b-dadf547544db",
            "groupName": "テスト",
            "imageSource": "",
            "name": "テストTest",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "4155a8b6-01f6-4b47-a0de-a75f6e328900",
            "groupName": "テスト",
            "imageSource": "",
            "name": "ですと",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "449b593b-3c2d-4bf6-b300-bde5be9634fa",
            "groupName": "Web",
            "imageSource": "",
            "name": "React",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "4b306d1a-75b4-46ea-9511-a4e31395971f",
            "groupName": "テスト",
            "imageSource": "",
            "name": "テスト3",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "4ec85b06-cae8-4040-b0da-ae1d0a3b7154",
            "groupName": "テストtest",
            "imageSource": "",
            "name": "テスト",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "5d43632d-5137-4d12-a25a-c74c75aa2e0c",
            "groupName": "エレガントな",
            "imageSource": "",
            "name": "カスタムシート",
            "description": "",
            "duration": "",
            "categories": [],
            "area": {
                "id": 2,
                "name": "コリドール"
            },
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "6d893a23-db93-4308-b54f-a586cd892e1a",
            "groupName": "テスト",
            "imageSource": "",
            "name": "テスト",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "6eddccd8-5565-403d-9b8c-884782572328",
            "groupName": "テスト5",
            "imageSource": "",
            "name": "テスト5",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "7d58dbe9-35ff-462c-9d1a-f26530ce4639",
            "groupName": "団体テスト",
            "imageSource": "",
            "name": "企画テスト",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "8bc837b1-ccc4-462e-ba17-54fadd098b77",
            "groupName": "テスト11",
            "imageSource": "",
            "name": "テスト11",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "90d1f7fd-a329-4f64-9c1c-97a3d0e8ffc6",
            "groupName": "tesr",
            "imageSource": "",
            "name": "test",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "981d5a16-e7fe-466a-87ea-9ac04e33d988",
            "groupName": "サイクリング同好会",
            "imageSource": "",
            "name": "テスト",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "9f7b3794-259a-4c99-985f-90e5b7762bdb",
            "groupName": "イベントグループ5",
            "imageSource": "https://sync-school-image-host.pages.dev/images/icon.png",
            "name": "イベントテスト5",
            "description": "説明テスト",
            "duration": "10分",
            "categories": [],
            "area": null,
            "location": "場所テスト5",
            "eventTimes": {
                "type": "custom",
                "times": []
            },
            "link": [
                "https://twitter.com/",
                "https://www.facebook.com/",
                "https://www.instagram.com/"
            ]
        },
        {
            "id": "a2cc375d-6472-49bc-95f0-f4f890a4094d",
            "groupName": "テスト6",
            "imageSource": "",
            "name": "テスト6",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "bc913761-4176-4fbd-8d87-05e78cd0267e",
            "groupName": "ダンス研究会",
            "imageSource": "",
            "name": "ダンスパフォーマンス",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "ca3c32ce-1313-4d9e-aa73-a4e49c9b6253",
            "groupName": "イベントグループ11",
            "imageSource": "",
            "name": "イベントテスト11",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "d16bdf69-aa93-44ad-bcde-39dc48a56ff8",
            "groupName": "Android",
            "imageSource": "",
            "name": "Expo",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "d65fd3c3-d737-49ac-ba52-230b227a5ec5",
            "groupName": "新規企画テスト",
            "imageSource": "",
            "name": "新規企画テスト",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        },
        {
            "id": "e9d1b3bc-271e-4596-994a-ac0287fd1730",
            "groupName": "サイクリング同好会",
            "imageSource": "https://img.syncschool.jp/1/1756213958861-thumbnail-1-1.jpeg",
            "name": "普通の自転車とは大違い!?スポーツ自転車に乗ってみよう!",
            "description": "サイクリング同好会による体験企画!\r\n普段なかなか触れることのない「ロードバイク」や「クロスバイク」に実際に乗ってみませんか?\r\n会員が使い方や乗り方のコツを丁寧にレクチャーしますので、初心者でも安心です。\r\nスピード感や軽さ、普段の自転車とは違う乗り心地を体験してみましょう!\r\n興味のある方はお気軽にご参加ください。\r\n自転車好きも、ちょっと試してみたい方も大歓迎です!",
            "duration": "105分",
            "categories": [
                {
                    "id": 1,
                    "name": "🏫 この学校ならでは"
                },
                {
                    "id": 2,
                    "name": "👦 子供向け"
                },
                {
                    "id": 4,
                    "name": "🍟 模擬店"
                },
                {
                    "id": 5,
                    "name": "❓謎解き"
                },
                {
                    "id": 7,
                    "name": "✨新企画"
                },
                {
                    "id": 11,
                    "name": "🤣 タネ試験"
                },
                {
                    "id": 12,
                    "name": "⚔️ 対戦"
                }
            ],
            "area": {
                "id": 4,
                "name": "B4棟"
            },
            "location": "101教室",
            "eventTimes": {
                "type": "custom",
                "times": [
                    {
                        "startTime": "2025-11-22T00:20:00.000Z",
                        "endTime": "2025-11-22T03:00:00.000Z"
                    },
                    {
                        "startTime": "2025-11-23T00:40:00.000Z",
                        "endTime": "2025-11-23T00:55:00.000Z"
                    }
                ]
            },
            "link": [
                "https://twitter.com/",
                "https://www.facebook.com/",
                "https://www.instagram.com/"
            ]
        },
        {
            "id": "f8001b4c-6d6c-4fae-94bb-c5cc8237e878",
            "groupName": "カスタムシート",
            "imageSource": "",
            "name": "企画A",
            "description": "",
            "duration": "",
            "categories": [],
            "area": null,
            "location": "",
            "eventTimes": {
                "type": "default",
                "times": [
                    {
                        "startTime": "2024-10-27T00:00:00.000Z",
                        "endTime": "2024-10-27T07:00:00.000Z"
                    }
                ]
            },
            "link": []
        }
    ]
}
更新日時 2026-02-23 12:36:55
前へ
任意の学校祭のカテゴリ一覧を取得する
次へ
任意の学校祭の企画を作成する
Built with